rpm --test [ivh | Uvh] [pacchetto.rpm]

Permette di verificare eventuali problemi prima dell'installazione di un pacchetto.

Prima di installare, o aggiornare un pacchetto su un sistema, opportuno verificare che non ci siano problemi di dipendenze o di librerie. E' possibile varo con utilizzando il flag --test di rpm:
[[email protected] azitti]$ rpm --test -Uvh cvs-1.11.17-1.i386.rpm
error: failed dependencies:
        libc.so.6(GLIBC_2.3)   is needed by cvs-1.11.17-1

In questo caso possibile notare che rpm segnala la dipendenza dalla libreria libc.so.6 non presente

Privacy Policy